<?php namespace Intellex\Manicure\Exception;

/**
 * Class Exception
 * Manicure base exception.
 *
 * @package Intellex\Manicure\Exception
 */
abstract class Exception extends \Exception {

	/**
	 * Throw an exception.
	 *
	 * @param Exception $exception The exception to throw.
	 *
	 * @throws Exception Always.
	 */
	public static function fire(Exception $exception) {
		throw $exception;
	}

}
